package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 短信发送方式
 * @Author: jiang chao
 * @Time: 2023/3/8 15:02
 * @Classname: ESmsSendStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ESmsSendType {

    /**
     * 立即发送
     */
    IMMEDIATELY(1, "立即发送"),

    /**
     * 定时发送
     */
    SCHEDULED(2, "定时发送"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;


    /**
     * 根据枚举值获取枚举
     *
     * @param val
     * @return
     */
    public static ESmsSendType getEnumByValue(int val) {
        for (ESmsSendType value : ESmsSendType.values()) {
            if (value.getValue() == val) {
                return value;
            }
        }
        return null;
    }

}
